/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-f9wuwy4nn9] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-f9wuwy4nn9] {
    flex: 1;
    background-color: #1f2227;
}

.sidebar[b-f9wuwy4nn9] {
    /*    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);*/
    background-color: #1a4645;
}

.top-row[b-f9wuwy4nn9] {
    background-color: inherit;
    border-bottom: thin solid white;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-f9wuwy4nn9]  a, .top-row[b-f9wuwy4nn9]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-f9wuwy4nn9]  a:hover, .top-row[b-f9wuwy4nn9]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-f9wuwy4nn9]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-f9wuwy4nn9] {
        justify-content: space-between;
    }

    .top-row[b-f9wuwy4nn9]  a, .top-row[b-f9wuwy4nn9]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-f9wuwy4nn9] {
        flex-direction: row;
    }

    .sidebar[b-f9wuwy4nn9] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-f9wuwy4nn9] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-f9wuwy4nn9]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-f9wuwy4nn9], article[b-f9wuwy4nn9] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-f9wuwy4nn9] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-f9wuwy4nn9] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-fqr14s9mo4] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

.navbar-toggler:checked[b-fqr14s9mo4] {
    background-color: rgba(255, 255, 255, 0.5);
}

.top-row[b-fqr14s9mo4] {
    min-height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-fqr14s9mo4] {
    font-size: 1.1rem;
}

.bi[b-fqr14s9mo4] {
    display: inline-flex;
    
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
    font-size: 1.1rem;
    font-style: normal;
    font-weight: normal !important;
}

.bi-house-door-fill-nav-menu[b-fqr14s9mo4] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-fqr14s9mo4] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-fqr14s9mo4] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.nav-item[b-fqr14s9mo4] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-fqr14s9mo4] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-fqr14s9mo4] {
        padding-bottom: 1rem;
    }

    .nav-item[b-fqr14s9mo4]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

.nav-item[b-fqr14s9mo4]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-fqr14s9mo4]  .nav-link:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.nav-scrollable[b-fqr14s9mo4] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-fqr14s9mo4] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-fqr14s9mo4] {
        display: none;
    }

    .nav-scrollable[b-fqr14s9mo4] {
        /* Never collapse the sidebar for wide screens */
        display: block;

        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-z0j2fpv2xx],
.components-reconnect-repeated-attempt-visible[b-z0j2fpv2xx],
.components-reconnect-failed-visible[b-z0j2fpv2xx],
.components-pause-visible[b-z0j2fpv2xx],
.components-resume-failed-visible[b-z0j2fpv2xx],
.components-rejoining-animation[b-z0j2fpv2xx] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-z0j2fpv2xx],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-z0j2fpv2xx],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-z0j2fpv2xx],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-z0j2fpv2xx],
#components-reconnect-modal.components-reconnect-retrying[b-z0j2fpv2xx],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-z0j2fpv2xx],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-z0j2fpv2xx],
#components-reconnect-modal.components-reconnect-failed[b-z0j2fpv2xx],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-z0j2fpv2xx] {
    display: block;
}


#components-reconnect-modal[b-z0j2fpv2xx] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-z0j2fpv2xx 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-z0j2fpv2xx 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-z0j2fpv2xx 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-z0j2fpv2xx]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-z0j2fpv2xx 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-z0j2fpv2xx {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-z0j2fpv2xx {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-z0j2fpv2xx {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-z0j2fpv2xx] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-z0j2fpv2xx] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-z0j2fpv2xx] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-z0j2fpv2xx] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-z0j2fpv2xx] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-z0j2fpv2xx] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-z0j2fpv2xx] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-z0j2fpv2xx 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-z0j2fpv2xx] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-z0j2fpv2xx {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Components/Pages/Login.razor.rz.scp.css */
body[b-bq7h6rvhwn] {
}


.content[b-bq7h6rvhwn]{
    min-width: 100vw !important;
    min-height: 100vh !important;
    padding: 0 !important;
    display: flex;
    align-items: center;
    justify-content: center;
}
/* /Components/Pages/NewTemplate.razor.rz.scp.css */
body[b-33gf70k2ja] {
}

/*.control-section{
    width: 100%;
    height: 100vh;
}*/
/* /Components/Pages/Projects.razor.rz.scp.css */
body[b-lfniqmcsg1] {
}

/*.mermaid svg g.node {
    cursor: pointer !important;
}*/

    .mermaid svg g.node:hover rect[b-lfniqmcsg1],
    .mermaid svg g.node:hover circle[b-lfniqmcsg1],
    .mermaid svg g.node:hover polygon[b-lfniqmcsg1] {
/*        stroke: #007bff !important;*/
        stroke: black !important;
        stroke-width: 3px !important;
        /*        transition: 0.2s ease-in-out;*/
    }


.node rect[b-lfniqmcsg1] {
    stroke: black !important;
}

.node:hover rect[b-lfniqmcsg1]{
    stroke: black !important;
    stroke-width: 3px !important;
}

.diagram-card[b-lfniqmcsg1] {
    display: flex;
    flex-direction: column;
}

    .diagram-card > .card-body[b-lfniqmcsg1] {
        flex: 1 1 auto;
        min-height: 0; /* prevents flex overflow */
        position: relative;
        margin: 0;
        padding: 0; /* matches p-0 */       
    }

.card-header[b-lfniqmcsg1]{
    display: flex;
    justify-content: space-between;
}

.e-diagram-blazor-visible rect:hover[b-lfniqmcsg1] {
    stroke: red !important;

}

/* /Components/Pages/Templates.razor.rz.scp.css */
body[b-sip5l5sqqk] {
}

.template-card[b-sip5l5sqqk] {
    margin-bottom: 2rem;
    border-bottom: 1px solid #ccc;
    padding: 1rem;
    cursor: pointer;
/*    transition: border 0.3s ease-in-out;*/
}

    .template-card:hover[b-sip5l5sqqk] {
        border: 2px solid red !important;
        background-color: #fffafa;
    }
/* /Components/TaskBoard.razor.rz.scp.css */
body[b-umlzdk7254] {
    /*    background-color: #111111;*/
}

.Tasks_section[b-umlzdk7254] {
    width: 100%;
    height: fit-content;
    display: flex;
    justify-content: space-between;
    gap: 2rem;
}

.TaskColumn[b-umlzdk7254] {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: fit-content;
    color: white;
    background-color: #111111;
    padding: 1rem;
    border-radius: 10px;
    gap: 1rem;
    transition: background-color 0.2s ease;
}

    .TaskColumn.dragover[b-umlzdk7254] {
        background-color: #e0e0e0;
        border: 2px dashed #999;
    }

    .TaskColumn > p[b-umlzdk7254] {
        /*        background-color: #242528;*/
        align-self: flex-start;
        padding: 0.5rem 1rem;
        border-radius: 10px;
    }

.Blocked[b-umlzdk7254] {
    background-color: #44341a;
}

.ToDo[b-umlzdk7254] {
    background-color: #223e42;
}

.InProgress[b-umlzdk7254] {
    background-color: #2b3d49;
}

.Completed[b-umlzdk7254] {
    background-color: #144832;
}

.Approved[b-umlzdk7254] {
    background-color: #13375b;
}

.Denied[b-umlzdk7254] {
    background-color: #532124;
}



p.Blocked[b-umlzdk7254] {
    background-color: #7d4e08;
}

p.ToDo[b-umlzdk7254] {
    background-color: #1b5c60;
}

p.InProgress[b-umlzdk7254] {
    background-color: #425566;
}

p.Completed[b-umlzdk7254] {
    background-color: #156c4a;
}

p.Approved[b-umlzdk7254] {
    background-color: #0b467e;
}

p.Denied[b-umlzdk7254] {
    background-color: #83192d;
}



.TaskCard[b-umlzdk7254] {
    border: solid 0.5px #7f7f7f;
    box-shadow: 3px 3px 5px #2d3134;
    border-radius: 10px;
    width: 100%;
    padding: 1rem;
    padding-bottom: 3rem;
    color: white;
    position: relative;
}

.StatusMenu[b-umlzdk7254] {
    bottom: 0.5rem;
    left: 0.5rem;
    position: absolute;
    overflow: hidden;
    max-width: 100%;
}

.StatusMenu_trigger[b-umlzdk7254] {
    position: relative;
    background: none;
    border: solid thin white;
    cursor: pointer;
    font-size: 1.2rem;
    color: white;
}

.StatusMenu_dropdown[b-umlzdk7254] {
    position: absolute;
    left: 0;
    top: 100%;
    background: white;
    border: 1px solid #ccc;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    z-index: 10;
    box-shadow: 0 2px 8px rgba(0,0,0,0.15);
}

    .StatusMenu_dropdown button[b-umlzdk7254] {
        background: none;
        border: none;
        padding: 0.5rem 1rem;
        cursor: pointer;
        text-align: left;
    }

        .StatusMenu_dropdown button:hover[b-umlzdk7254] {
            background-color: #f0f0f0;
        }
/* /Components/UserInfo.razor.rz.scp.css */
.profile-trigger[b-uvoc58x0e1] {
    transition: transform 0.2s ease, background-color 0.2s ease;
}

    .profile-trigger:hover[b-uvoc58x0e1] {
        transform: scale(1.05); 
        filter: brightness(140%);
    }

.dropdown-menu[b-uvoc58x0e1] {
    background-color: #343847;
}

li button[b-uvoc58x0e1],
li p[b-uvoc58x0e1]{
    color: white;
    margin-block: 0.5rem;
}

li button[b-uvoc58x0e1] {
    background-color: #1f2227;
    border-radius: 200px;
    padding: 1rem;
}

.user-menu-width[b-uvoc58x0e1] {
    width: 350px !important;
}
